/*****************************************************************************/
/*	aisa54w.h																 */
/*																			 */
/*	aISA-P54W/H															 */
/*																			 */
/*	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.									 */
/*																			 */
/*	Date 1998/03/05															 */
/*																			 */
/*****************************************************************************/

#ifndef __AISA54W_H__
#define __AISA54W_H__

#include "aisa54.h"


#ifdef __cplusplus
extern "C"{
#endif


#define AISA54_DLL_NAME	  _T("aisa54.dll")	// DLL

#define AISA54_MAX_PORT_W 6		// aISA-P54W̃|[g
#define AISA54_MAX_PORT_H 3		// aISA-P54H̃|[g


#define AISA54_ERR_WRAPDLL ((DWORD)-1)	// bp[֐G[


BOOL  Aisa54wDllOpen();			// DLL [h
BOOL  Aisa54wDllClose();		// DLL A[h

BOOL  Aisa54wGetVersion(PDWORD pdwDllVer, PDWORD pdwDrvVer);// aISA-P54W/H DLL,Driver̃o[Wԍ擾

BOOL  Aisa54wCreate(PWORD pwLogSlot);								// CӂaISA-P54W/H̎gp錾
BOOL  Aisa54wClose(WORD wLogSlot);									// CӂaISA-P54W/H̎gpJ

BOOL  Aisa54wGetNumPorts(WORD wLogSlot, PDWORD pdwNumPorts);		// |[g擾
BOOL  Aisa54wGetResource(WORD wLogSlot, PAISA54R pResInfo);			// \[X擾

BOOL  Aisa54wGetDirections(WORD wLogSlot, PDWORD pdwDirections);	// fBNV̏Ԃ擾
BOOL  Aisa54wSetDirections(WORD wLogSlot, DWORD dwDirections);		// fBNVZbg

BOOL  Aisa54wInPort(WORD wLogSlot, DWORD dwPort, PBYTE pbInValue);	// Cӂ̃|[gf[^
BOOL  Aisa54wOutPort(WORD wLogSlot, DWORD dwPort, BYTE bOutValue);	// Cӂ̃|[gփf[^o

DWORD Aisa54wGetLastError(WORD wLogSlot);			// aISA-P54W/H̃G[R[h


#ifdef __cplusplus
}
#endif

#endif // __AISA54W_H__
